# __gnu_parallel::_PseudoSequence< _Tp, _DifferenceTp > Class Template Reference

Sequence that conceptually consists of multiple copies of the same element. The copies are not stored explicitly, of course. More...

List of all members.

## Public Types

- typedef _DifferenceTp _DifferenceType
- typedef
  _PseudoSequenceIterator< _Tp,
  uint64_t > iterator

## Public Member Functions

- _PseudoSequence (const _Tp &__val, _DifferenceType __count)
- iterator begin () const
- iterator end () const

## Detailed Description

### template<typename _Tp, typename _DifferenceTp>
class __gnu_parallel::_PseudoSequence< _Tp, _DifferenceTp >

Sequence that conceptually consists of multiple copies of the same element. The copies are not stored explicitly, of course.

Parameters:

  | _Tp | Sequence _M_value type.
  | _DifferenceType | Sequence difference type.

Definition at line 359 of file parallel/base.h.

## Constructor & Destructor Documentation

template<typename _Tp, typename _DifferenceTp>

__gnu_parallel::_PseudoSequence< _Tp, _DifferenceTp >::_PseudoSequence | ( | const _Tp & | __val,
|  | _DifferenceType | __count |
| ) |  |  | `[inline]`

Constructor.

Parameters:

  | _M_val | Element of the sequence.
  | __count | Number of (virtual) copies.

Definition at line 371 of file parallel/base.h.

## Member Function Documentation

template<typename _Tp, typename _DifferenceTp>

iterator __gnu_parallel::_PseudoSequence< _Tp, _DifferenceTp >::begin | ( |  | ) | const`[inline]`

Begin iterator.

Definition at line 376 of file parallel/base.h.

template<typename _Tp, typename _DifferenceTp>

iterator __gnu_parallel::_PseudoSequence< _Tp, _DifferenceTp >::end | ( |  | ) | const`[inline]`

End iterator.

Definition at line 381 of file parallel/base.h.

The documentation for this class was generated from the following file:

- parallel/base.h